/* file -- dvlimits.h
|================================================================
|
|			   (c) copyright 1988
|			    V.I. Corporation
|
|	Highest and lowest legal values of various data types.
|	To create this file run: Mkdvlimits > dvlimits.h
|	Since dvlimits.h is machine specific,
|	Mkdvlimits should be run on the TARGET machine.
|
|================================================================
*/
#ifndef CHAR_MAX
#define	CHAR_MAX	127L		/* 0x7f */
#endif
#ifndef CHAR_MIN
#define	CHAR_MIN	-128L		/* 0xffffff80 */
#endif
#ifndef BYTE_MAX
#define	BYTE_MAX	127L		/* 0x7f */
#endif
#ifndef BYTE_MIN
#define	BYTE_MIN	-128L		/* 0xffffff80 */
#endif
#ifndef UBYTE_MAX
#define	UBYTE_MAX	255L		/* 0xff */
#endif
#ifndef UBYTE_MIN
#define	UBYTE_MIN	0L		/* 0x0 */
#endif
#ifndef SHORT_MAX
#define	SHORT_MAX	32767L		/* 0x7fff */
#endif
#ifndef SHORT_MIN
#define	SHORT_MIN	-32768L		/* 0xffff8000 */
#endif
#ifndef USHORT_MAX
#define	USHORT_MAX	65535L		/* 0xffff */
#endif
#ifndef USHORT_MIN
#define	USHORT_MIN	0L		/* 0x0 */
#endif
#ifndef INT_MAX
#define	INT_MAX		2147483647L	/* 0x7fffffff */
#endif
#ifndef INT_MIN
#define	INT_MIN	(- INT_MAX - 1)	/* 0x80000000 */
#endif
#ifndef UNSIGNED_MAX
#define	UNSIGNED_MAX	0xffffffffL	/* 4294967295 */
#endif
#ifndef UNSIGNED_MIN
#define	UNSIGNED_MIN	0L		/* 0x0 */
#endif
#ifndef LONG_MAX
#define	LONG_MAX	2147483647L	/* 0x7fffffff */
#endif
#ifndef LONG_MIN
#define	LONG_MIN	(- LONG_MAX - 1)	/* 0x80000000 */
#endif
#ifndef ULONG_MAX
#define	ULONG_MAX	0xffffffffL	/* 0x4294967295 */
#endif
#ifndef ULONG_MIN
#define	ULONG_MIN	0L		/* 0x0 */
#endif
